package com.example.modular.appendix.pages;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.wicketstuff.annotation.mount.MountPath;
import org.apache.wicket.spring.injection.annot.SpringBean;

import com.example.modular.appendix.common.AppendixService;

/**
 * Appendix page. Example usage of Spring bean injection in Warsaw-independent
 * project.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "appendix")
public class AppendixPage extends WebPage {

    @SpringBean
    private AppendixService appendixService;

    /**
     * Default constructor. Adds simple label with text generated by a service
     * method.
     */
    public AppendixPage() {
        add(new Label("appendixMessage", appendixService.getAppendixMessage()));
    }

    public void setAppendixService(AppendixService pAppendixService) {
        appendixService = pAppendixService;
    }

}
